--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 12:04:50.669689363 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 12:04:50.683792987 -0400
@@ -409,7 +409,7 @@
 		}
 	}
 	/*
-	 * Find the dmake_mode: distributed, parallel, or serial.
+	 * Find the dmake_mode: parallel, or serial.
 	 */
     if ((!pmake_cap_r_specified) &&
         (!pmake_machinesfile_specified)) {
@@ -417,16 +417,12 @@
 	dmake_name2 = GETNAME(wcs_buffer, FIND_LENGTH);
 	prop2 = get_prop(dmake_name2->prop, macro_prop);
 	if (prop2 == NULL) {
-		/* DMAKE_MODE not defined, default to distributed mode */
-		dmake_mode_type = distributed_mode;
+		/* DMAKE_MODE not defined, default to parallel mode */
+		dmake_mode_type = parallel_mode;
 		no_parallel = false;
 	} else {
 		dmake_value2 = prop2->body.macro.value;
-		if ((dmake_value2 == NULL) ||
-		    (IS_EQUAL(dmake_value2->string_mb, NOCATGETS("distributed")))) {
-			dmake_mode_type = distributed_mode;
-			no_parallel = false;
-		} else if (IS_EQUAL(dmake_value2->string_mb, NOCATGETS("parallel"))) {
+		if (IS_EQUAL(dmake_value2->string_mb, NOCATGETS("parallel"))) {
 			dmake_mode_type = parallel_mode;
 			no_parallel = false;
 		} else if (IS_EQUAL(dmake_value2->string_mb, NOCATGETS("serial"))) {
@@ -437,20 +433,6 @@
 		}
 	}
 
-	if ((!list_all_targets) &&
-	    (report_dependencies_level == 0)) {
-		/*
-		 * Check to see if either DMAKE_RCFILE or DMAKE_MODE is defined.
-		 * They could be defined in the env, in the makefile, or on the
-		 * command line.
-		 * If neither is defined, and $(HOME)/.dmakerc does not exists,
-		 * then print a message, and default to parallel mode.
-		 */
-		if(dmake_mode_type == distributed_mode) {
-			dmake_mode_type = parallel_mode;
-			no_parallel = false;
-		}
-	}
     }
 
 	parallel_flag = true;
@@ -780,7 +762,7 @@
 		bsd_signal(SIGTERM, SIG_IGN);
 		kill (-getpid(), SIGTERM);
 	}
-	/* Clean up all parallel/distributed children already finished */
+	/* Clean up all parallel children already finished */
         finish_children(false);
 
 	/* Make sure the processes running under us terminate first */
@@ -1789,10 +1771,6 @@
 	sdotMakefile = GETNAME(wcs_buffer, FIND_LENGTH);
 
 /*
- *	Set flag if NSE is active
- */
-
-/*
  *	initialize global dependency entry for .NOT_AUTO
  */
 	not_auto_depen->next = NULL;
--- old/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:04:51.637839506 -0400
+++ new/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:04:51.650404368 -0400
@@ -100,7 +100,6 @@
  *
  *	DMake 2.x:
  *	parallel mode: spawns a parallel process to execute the command group.
- *	distributed mode: sends the command group down the pipe to rxm.
  *
  *	Return value:
  *				The result of the execution
@@ -183,24 +182,13 @@
 			rule->command_line =
 			  vpath_translation(rule->command_line);
 		}
-		if (dmake_mode_type == distributed_mode) {
-			cmd_options = 0;
-			if(local) {
-				cmd_options |= local_host_mask;
-			}
-		} else {
-			silent_flag = false;
-			ignore = 0;
-		}
+		
+		silent_flag = false;
+		ignore = 0;
+
 		if (rule->command_line->hash.length > 0) {
 			if (++argcnt == MAXRULES) {
-				if (dmake_mode_type == distributed_mode) {
-					/* XXX - tell rxm to execute on local host. */
-					/* I WAS HERE!!! */
-				} else {
-					/* Too many rules, run serially instead. */
-					return build_serial;
-				}
+				return build_serial;
 			}
 			{
 				if (rule->silent && !silent) {
@@ -1226,56 +1214,54 @@
 			if ((line2 = rp->command) == NULL) {
 				line2 = get_prop(rp->target->prop, line_prop);
 			}
-			if (dmake_mode_type == distributed_mode) {
-				if (rp->make_refd) {
-					maybe_reread_make_state();
-				}
-			} else {
-				/*
-				 * Check if there were any job output
-				 * from the parallel build.
-				 */
-				if (rp->stdout_file != NULL) {
-					if (stat(rp->stdout_file, &out_buf) < 0) {
-						fatal(catgets(catd, 1, 130, "stat of %s failed: %s"),
-						      rp->stdout_file,
-						      errmsg(errno));
-					}
-					if ((line2 != NULL) &&
-					    (out_buf.st_size > 0)) {
-						cmds_length = 0;
-						for (rule = line2->body.line.command_used,
-						     silent_flag = silent;
-						     rule != NULL;
-						     rule = rule->next) {
-							cmds_length += rule->command_line->hash.length + 1;
-							silent_flag = BOOLEAN(silent_flag || rule->silent);
-						}
-						if (out_buf.st_size != cmds_length || silent_flag ||
-						    output_mode == txt2_mode) {
-							dump_out_file(rp->stdout_file, false);
-						}
-					}
-					(void) unlink(rp->stdout_file);
-					retmem_mb(rp->stdout_file);
-					rp->stdout_file = NULL;
-				}
 
-				if (!out_err_same && (rp->stderr_file != NULL)) {
-					if (stat(rp->stderr_file, &out_buf) < 0) {
-						fatal(catgets(catd, 1, 130, "stat of %s failed: %s"),
-						      rp->stderr_file,
-						      errmsg(errno));
+
+			/*
+			 * Check if there were any job output
+			 * from the parallel build.
+			 */
+			if (rp->stdout_file != NULL) {
+				if (stat(rp->stdout_file, &out_buf) < 0) {
+					fatal(catgets(catd, 1, 130, "stat of %s failed: %s"),
+					    rp->stdout_file,
+					    errmsg(errno));
+				}
+
+				if ((line2 != NULL) &&
+				    (out_buf.st_size > 0)) {
+					cmds_length = 0;
+					for (rule = line2->body.line.command_used,
+						 silent_flag = silent;
+					     rule != NULL;
+					     rule = rule->next) {
+						cmds_length += rule->command_line->hash.length + 1;
+						silent_flag = BOOLEAN(silent_flag || rule->silent);
 					}
-					if ((line2 != NULL) &&
-					    (out_buf.st_size > 0)) {
-						dump_out_file(rp->stderr_file, true);
+					if (out_buf.st_size != cmds_length || silent_flag ||
+					    output_mode == txt2_mode) {
+						dump_out_file(rp->stdout_file, false);
 					}
-					(void) unlink(rp->stderr_file);
-					retmem_mb(rp->stderr_file);
-					rp->stderr_file = NULL;
 				}
+				(void) unlink(rp->stdout_file);
+				retmem_mb(rp->stdout_file);
+				rp->stdout_file = NULL;
+			}
+
+			if (!out_err_same && (rp->stderr_file != NULL)) {
+				if (stat(rp->stderr_file, &out_buf) < 0) {
+					fatal(catgets(catd, 1, 130, "stat of %s failed: %s"),
+					    rp->stderr_file,
+					    errmsg(errno));
+				}
+				if ((line2 != NULL) &&
+				    (out_buf.st_size > 0)) {
+					dump_out_file(rp->stderr_file, true);
+				}
+				(void) unlink(rp->stderr_file);
+				retmem_mb(rp->stderr_file);
+				rp->stderr_file = NULL;
 			}
+			
 			check_state(rp->temp_file);
 			if (rp->temp_file != NULL) {
 				free_name(rp->temp_file);
--- old/usr/src/cmd/make/include/mk/defs.h	2015-05-20 12:04:52.319045857 -0400
+++ new/usr/src/cmd/make/include/mk/defs.h	2015-05-20 12:04:52.331642280 -0400
@@ -131,8 +131,7 @@
 
 typedef enum {
 	serial_mode,
-	parallel_mode,
-	distributed_mode
+	parallel_mode
 } DMake_mode;
 
 typedef enum {
